Debian Bug report logs - #581752
qa.debian.org: watch file redirect service

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Osamu Aoki <osamu@debian.org>

Date: Sat, 15 May 2010 14:24:02 UTC

Severity: wishlist

Fixed in version 2571

Done: Giovanni Mascellani <gio@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#581752; Package qa.debian.org. (Sat, 15 May 2010 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Sat, 15 May 2010 14:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: watch file redirect service
Date: Sat, 15 May 2010 23:19:32 +0900
Package: qa.debian.org
Severity: wishlist

We know when the watch file has an URL matching with the Perl regexp
"^http://sf\.net/", the uscan program substitutes it with
"http://qa.debian.org/watch/sf.php/" and then applies this rule. The URL
redirector service at this http://qa.debian.org/ is designed to offer a
stable redirect service to the desired file for the watch file having
"http://sf.net/project/tar-name-(.+)\.tar\.gz". This solves issues
related to the periodically changing URL there.

But this service is somewhat obscure and its source location and
patch submission is hidden well into maze of Debian infrastructure.

So my wishlists are:

1. http://qa.debian.org/watch/README needs to provide required pointer
   to ket information site such as http://wiki.debian.org/debian/watch

2. Publish redirector code, so people can create similars for
   http://code.google.com/ and other site.
   (Once these becomes standard practice, we can have version=4 watch
    file where we explicitly specify redirector parameters.  This should
    remove ugly regex in uscan.) (oops, it seems to be available as
    http://svn.debian.org/viewsvn/qa/trunk/wml/watch/ )
   But it is still quite unclear how http://ftp.heanet.ie/ (actual site
   which seems to be doing this) generates these data.

The idea of redirector is great since novice developer can get benefit
to get latest source using old watch file under stable system for
backport. Publishing code helps to populate
http://wiki.debian.org/debian/watch/ directory with many php redirecor
code. 

Osamu

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash





Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#581752; Package qa.debian.org. (Sat, 15 May 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 15 May 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 581752@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Osamu Aoki <osamu@debian.org>, 581752@bugs.debian.org
Subject: Re: Bug#581752: qa.debian.org: watch file redirect service
Date: Sat, 15 May 2010 11:31:29 -0500
Osamu Aoki wrote:
> But this [qa.d.o/watch/sf.php] service is somewhat obscure and its source 
location and
> patch submission is hidden well into maze of Debian infrastructure.
> 

No, it isn't. It's where all the rest of the code of qa and collab-qa is: 
svn.d.o

> So my wishlists are:
> 
> 1. http://qa.debian.org/watch/README needs to provide required pointer
>    to ket information site such as http://wiki.debian.org/debian/watch

Like http://qa.debian.org/watch/sf.php?

(manpages.d.n seems to be done atm, but that's another issue and is not on 
my hands.)

> 2. Publish redirector code

http://svn.debian.org/viewsvn/qa/trunk/wml/watch/sf.wml?view=markup
http://svn.debian.org/viewsvn/qa/trunk/data/watch/update-sf-list?view=markup

> The idea of redirector is great 

No, it is not. It is a workaround and workarounds are not "great."


If there's nothing else, I'm going to close the report.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Reply sent to Giovanni Mascellani <gio@alioth.debian.org>:
You have taken responsibility. (Sat, 27 Aug 2011 07:21:05 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Sat, 27 Aug 2011 07:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 581752-done@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@alioth.debian.org>
To: 581752-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2571
Date: Sat, 27 Aug 2011 07:17:05 +0000
Version: 2571

This bug was closed by Giovanni Mascellani (gio) in SVN revision 2571.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Adding links to sf.php source code. Closes: #581752.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Sep 2011 07:35:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:59:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.